/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "render.h"
#include "game/game.h"
#include "assert/assert.h"
#include "console/console.h"

void renderInit() {
  // Initialize the rendering system
  InitWindow(800, 600, "Dusk");
}

renderresult_t renderDraw() {
  BeginDrawing();
  ClearBackground(BLACK);

  for(uint32_t i = 0; i < GAME.entityCount; i++) {
    entityRender(&GAME.entities[i]);
  }

  consoleDraw();

  EndDrawing();
  if(WindowShouldClose()) return RENDER_EXIT;
  return RENDER_OK;
}


void renderDispose() {
  CloseWindow();
}