/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

#define RENDER_FONT_SIZE 20

typedef enum {
  RENDER_OK,
  RENDER_EXIT,
  RENDER_ERROR
} renderresult_t;

/**
 * Initializes the rendering system.
 * 
 * @return The result of the initialization.
 */
void renderInit();

/**
 * Initializes the rendering system.
 * 
 * @return The result of the initialization.
 */
renderresult_t renderDraw();

/**
 * Renders the game.
 * 
 * @return The result of the render operation.
 */
void renderDispose();